cURL
curl --request GET \
--url https://api.hubapi.com/media-bridge/2026-03/objects/{mediaType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/objects/{mediaType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/media-bridge/2026-03/objects/{mediaType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"detailsPageLink": "<string>",
"duration": 123,
"externalId": "<string>",
"fileUrl": "<string>",
"oembedUrl": "<string>",
"posterUrl": "<string>",
"thumbnailUrl": "<string>",
"video": {
"deeplinkUrl": "<string>",
"fileId": 123,
"id": 123
}
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Media Bridge
Retrieve media bridge objects by type
GET
/
media-bridge
/
2026-03
/
objects
/
{mediaType}
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2private_apps
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Available options:
AUDIO, DOCUMENT, IMAGE, OTHER, VIDEO Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on March 31, 2026
Was this page helpful?
⌘I